#
# spec file for package catdoc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           catdoc
Version:        0.94.4
Release:        6.4
Summary:        Decodes MS Word files into plain text or TeX format
License:        GPL-2.0+
Group:          Productivity/Publishing/Other
Url:            http://www.45.free.net/~vitus/software/catdoc/
Source:         http://cdn.debian.net/debian/pool/main/c/catdoc/%{name}_%{version}.orig.tar.gz
# PATCH-FIX-UPSTREAM install.patch -- honor installroot var
Patch0:         install.patch
# PATCH-FIX-OPENSUSE dont_build_xls2csv.patch -- xls2csv is provided by two other packages, so we don't need it built
Patch1:         dont_build_xls2csv.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  freetype2-devel
BuildRequires:  tcl
BuildRequires:  tk
BuildRequires:  update-desktop-files

%description
Catdoc is a MS Word file decoding tool that doesn't attempt to
analyze file formatting (it just extracts readable text), but
is able to handle all versions of Word and convert character
encodings. A Tcl/Tk graphical viewer is also included. It can
also read RTF files and convert Excel and PowerPoint files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS"
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}

%install
make installroot=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/man
mkdir -p %{buildroot}%{_datadir}/man/man1
mv $RPM_BUILD_DIR/%{name}-%{version}/doc/*.1 %{buildroot}%{_datadir}/man/man1/

%suse_update_desktop_file wordview Office WordProcessor GNOME

%files
%defattr(-, root, root, 0755)
%doc COPYING CREDITS NEWS README TODO
%doc %{_mandir}/man1/*
# Conflicts with xls2csv package
%exclude %doc %{_mandir}/man1/xls2csv*
%{_bindir}/catdoc
%{_bindir}/catppt
%{_bindir}/wordview
%dir %{_datadir}/catdoc
%{_datadir}/catdoc/*.txt
%{_datadir}/catdoc/*.*chars
%{_datadir}/applications/wordview.desktop
%{_datadir}/pixmaps/wordview.xpm

%changelog
* Sun Nov 17 2013 hrvoje.senjan@gmail.com
- Added dont_build_xls2csv.patch: xls2csv is provided by two other
  packages, so we don't need it built
- Added install.patch, for honoring installroot variable
* Tue Oct 15 2013 hrvoje.senjan@gmail.com
- Update to 0.94.4
-  Changes since 0.94.3:
  * Remove extra ';' in src/xlsparse.c which turned for loop in
    xlsparse into a buffer overflow
-  Changes since 0.94.2:
  * Fix codepage bugs
  * Fix charset bug
  * Handle negative numbers on 64bit architectures
  * Fix Macintosh MS1904 date bug in xlsparse reported ubuntu
* Mon Mar 16 2009 Raymond Wooninck <tittiatcoke@gmail.com> - 0.94.2
- Moved package to KDE:KDE4:Community to support Recoll
* Wed Aug  1 2007 John Pye <john@curioussymbols.com> 0.94.2-2
- Fixing 'makeinstall' macro for SUSE.
- Fixing install of man page(s).
* Sun Apr 23 2006 Dries Verachtert <dries@ulyssis.org> - 0.94.2-1
- Updated to release 0.94.2.
* Sat Apr  8 2006 Dries Verachtert <dries@ulyssis.org> - 0.94-1.2
- Rebuild for Fedora Core 5.
* Sat Dec 10 2005 Dries Verachtert <dries@ulyssis.org> - 0.94-1
- Initial package.
